# List Resources

`GET /resources/wind_power_sites`

Lists all premium wind power sites accessible to the authenticated user.

## Parameters

### Query Parameters

| Name | Type | Required | Description | Accepted Values |
| --- | --- | --- | --- | --- |
| `start` | string (date-time) | no | Filter to sites created on or after this date (ISO 8601 format). |  |
| `end` | string (date-time) | no | Filter to sites created before this date (ISO 8601 format). |  |
| `forecast_production` | boolean | no | Filter to sites where ML forecast production is enabled. |  |
| `format` | string | no | Response format. Default is HTML if not supplied. | json, csv |
| `query` | string | no | Search query for site name or resource ID. |  |
| `show_all` | boolean | no | When true, returns all sites in the system. Requires admin privileges. |  |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/resources/wind_power_sites?format=json" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "format": "json",
}

response = requests.get(
    "https://api.solcast.com.au/resources/wind_power_sites", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "offset": 0,
  "total": 2,
  "results": [
    {
      "resource_id": "0000-0000-0000-0000",
      "name": "Site Name",
      "latitude": 51.178882,
      "longitude": -1.826215,
      "capacity": 25,
      "rotor_diameter": 100,
      "rated_power": 2.1875,
      "hub_height": 80,
      "number_of_turbines": 12,
      "cut_in_wind_speed": 3,
      "cut_out_wind_speed": 25,
      "rated_wind_speed": 12,
      "allow_negative_power": false
    },
    {
      "resource_id": "0000-0000-0000-0000",
      "name": "Site Name",
      "latitude": 36.5,
      "longitude": -5.5,
      "capacity": 14,
      "rotor_diameter": 90,
      "rated_power": 2,
      "hub_height": 100,
      "number_of_turbines": 7,
      "cut_in_wind_speed": 3,
      "cut_out_wind_speed": 25,
      "rated_wind_speed": 13.5,
      "allow_negative_power": false
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `QueryResponse_PremiumWindPowerResource`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | no |  |
| `offset` | integer (int32) | no |  |
| `results` | PremiumWindPowerResource[] | no |  |
| `total` | integer (int32) | no |  |

Source: /docs/section/premium#getResourcesWindPowerSites
